@charset "UTF-8";
*:focus {
  outline: none;
}

* {
  -webkit-tap-highlight-color: transparent;
}

html, body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

html {
  overflow: hidden;
}

#app {
  width: 100%;
  height: 100%;
  /* 根容器占满屏幕 */
}

img {
  display: block;
  image-rendering: -webkit-optimize-contrast;
  image-rendering: -moz-optimize-contrast;
  image-rendering: -ms-optimize-contrast;
  -ms-interpolation-mode: nearest-neighbor;
}

[v-cloak] {
  display: none;
}

.bgColor {
  background: #fff;
  background-size: 100%;
  overflow-x: hidden;
}

.main1200 {
  width: 1200px;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  z-index: 9999;
  padding-top: 1vw;
}

.lang-switch {
  position: absolute;
  right: 0;
  top: 20px;
  display: inline-flex;
  overflow: hidden;
  height: 57px;
  padding: 2px 0;
  box-sizing: border-box;
  z-index: 9999;
}

.lang-btn {
  width: 57px;
  height: 57px;
  border: none;
  cursor: pointer;
  font-weight: normal;
  background: transparent;
  position: relative;
}

.lang-btn img {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.lang-btn.active {
  width: 57px;
  background: url("../images/bg.png") no-repeat;
  margin: 0 auto;
}

/* Swiper 容器全屏 */
.swiper-container {
  width: 100%;
  height: 100%;
}

/* 轮播图样式 */
.swiper-slide {
  width: 100%;
  height: 100%;
  /* 确保每个轮播图占满屏幕 */
  position: relative;
  background-size: cover;
  /* 图片覆盖整个区域 */
  background-position: center;
  /* 图片居中 */
  background-repeat: no-repeat;
  /* 禁止图片重复 */
}

/* 渐变动画效果（Swiper 内置） */
.swiper-container-fade .swiper-slide {
  transition-property: opacity;
}

/* 居中内容 */
.logo {
  display: flex;
  align-items: center;
  justify-content: center;
}

.logo img {
  display: block;
  max-width: 70%;
  background-size: 100%;
}

.steamLogo {
  display: block;
  margin-top: 10px;
}

.steamLogo img {
  display: block;
  background-size: 100%;
  margin: auto;
}

.pc-sale-info {
  position: relative;
  width: 690px;
  height: 162px;
  background: url(../images/border.png) no-repeat;
  background-size: 100% 100%;
  box-sizing: border-box;
  margin: auto;
}

.pc-sale-info .pc-tit {
  margin: 0 auto;
  padding-top: 26px;
}

.pc-sale-info .email-box {
  position: absolute;
  bottom: 28px;
  left: 50%;
  transform: translateX(-50%);
}

.pc-sale-info .email-box .email-form {
  display: flex;
  align-items: center;
  width: 494px;
}

.pc-sale-info .email-box .email-form .email-input {
  height: 72px;
  border-radius: 38px;
  padding: 0 20px;
  box-sizing: border-box;
  font-size: 20px;
  width: 71%;
  border: none;
  background: transparent;
  color: #666;
}

.pc-sale-info .email-box .email-form .submit-btn {
  font-size: 29px;
  width: 125px;
  height: 72px;
  border-radius: 38px;
  color: #fff;
  border: unset;
  background: transparent;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer-content {
  width: 100%;
  margin-top: -8px;
  position: relative;
  z-index: 999;
}

.footer-wrap {
  width: 100%;
  height: 155px;
  background: #000 url(../images/footer.png) no-repeat center;
}

.footer {
  min-width: 100%;
  box-sizing: border-box;
}

.footer .footerLogo {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 20px;
  padding-top: 25px;
}

.footer .footerLogo a img.devLogo {
  display: block;
  width: 122px;
  opacity: 0.5;
  transition: all 0.5s;
}

.footer .footerLogo a img.fkLogo {
  display: block;
  width: 124px;
  opacity: 0.5;
  transition: all 0.5s;
}

.footer .footerLogo a img.wxLogo {
  display: block;
  width: 89px;
  opacity: 0.5;
  transition: all 0.5s;
}

.footer .footerLogo a {
  display: block;
  transition: all 0.5s;
}

.footer .footerLogo a:hover img {
  opacity: 1;
}

.footer .footerLogo img {
  margin: 0 25px;
}

.footer .explain p {
  color: #393938;
  font-size: 14px;
  line-height: 28px;
  text-align: center;
}

.footer .explain p .ICP {
  color: #FFFFFF;
}

@media screen and (min-width: 1280px) {
  .main1200 {
    padding-top: 12vw;
  }
}

@media screen and (min-width: 1920px) {
  .main1200 {
    padding-top: 18vw;
  }
}

@media screen and (min-width: 2560px) {
  .main1200 {
    padding-top: 12vw;
  }
}
